Bug 10535 - strftime() of gmtime() malfunctions in DST environments
Summary: strftime() of gmtime() malfunctions in DST environments
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chip Turner
QA Contact:
URL:
Whiteboard: triage|leonardjo|closed|currentrelease
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-03 06:34 UTC by Chris Siebenmann
Modified: 2007-04-18 16:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-13 00:43:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Siebenmann 2000-04-03 06:34:01 UTC
If you feed POSIX::strftime() gmtime()'s output, the results are
one hour later than they should be if you happen to be in DST at the
time. Example:
	perl -e 'use POSIX; print POSIX::strftime("%H:%M\n", gmtime(time()));';
date -u; date
	07:45
	Mon Apr  3 06:45:58 UTC 2000
	Mon Apr  3 02:45:58 EDT 2000

Comment 1 Cristian Gafton 2000-08-09 02:45:32 UTC
assigned to nalin

Comment 2 Leonard den Ottolander 2004-04-22 15:17:54 UTC
Has this behaviour changed in later releases?

Comment 3 Chris Siebenmann 2004-08-12 19:45:02 UTC
This behavior seems to no longer be there on Red Hat 7.3, Red Hat 9,
or Fedora Core 2. I suspect that this bug report can thus be closed.

(Sorry I didn't reply to this for a while...)



Note You need to log in before you can comment on or make changes to this bug.